Bug 151231 - Successfully established connection but immediately switches and fails
Successfully established connection but immediately switches and fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 03:54 EST by Yves Perrenoud
Modified: 2008-02-06 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 20:18:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yves Perrenoud 2005-03-16 03:54:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
A connection to a wireless network will fail, and /var/log/messages shows that the connection was in fact successful, but as soon as the "Activation (eth1) successful, device activated." appears, a "SWITCH: need to associate with new access point or create a wireless network." also appears with a timestamp in the same second. The successful connection is indeed confirmed by appropriate DHCP info appearing in the syslog output, but the subsequent attempt at connection, just after the SWITCH, fails and iwconfig shows that an attempt to connect with "restricted" is attempted instead of "open". This occurs slightly more than half of the time. This seems to be more prelavent when the AP isn't broadcasting it's ESSID (and hence the association was kicked of by choosing "Other wireless networks..")

Version-Release number of selected component (if applicable):
NetworkManager-0.3.4-1.1.0

How reproducible:
Sometimes

Steps to Reproduce:
1. Either select the ESSID in the list, or use "Other wireless networks..."
2.
3.
  

Actual Results:  connection failed

Expected Results:  connection should have succeeded

Additional info:

kernel-2.6.10-1.770 and wireless is ipw2100, AP requires 128 bit wep key and security mode is open
Comment 1 Matthew Miller 2006-07-10 16:26:45 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-06 20:18:37 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.